summaryrefslogtreecommitdiff
path: root/sys-kernel/dracutcfg
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2020-11-28 22:55:41 +0000
committerV3n3RiX <venerix@redcorelinux.org>2020-11-28 22:55:41 +0000
commitcdfbbe0d2e9c8b8ee5f96e32684af0f8ebd4e5da (patch)
tree665b6c76c05dae5e91a2f7659f4d32fae7bcbc11 /sys-kernel/dracutcfg
parenta3105a49ef1908bc17180973b007f895fb7e7603 (diff)
move : sys-kernel/dracut-config-redcore => sys-kernel/dracutcfg
Diffstat (limited to 'sys-kernel/dracutcfg')
-rw-r--r--sys-kernel/dracutcfg/dracutcfg-1337.ebuild32
-rw-r--r--sys-kernel/dracutcfg/files/redcore-dracut.conf14
2 files changed, 46 insertions, 0 deletions
diff --git a/sys-kernel/dracutcfg/dracutcfg-1337.ebuild b/sys-kernel/dracutcfg/dracutcfg-1337.ebuild
new file mode 100644
index 00000000..80ffaf22
--- /dev/null
+++ b/sys-kernel/dracutcfg/dracutcfg-1337.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+
+DESCRIPTION="Redcore Linux Dracut configuration files"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+S="${FILESDIR}"
+
+src_install() {
+ dodir "etc/dracut.conf.d" || die
+ insinto "etc/dracut.conf.d" || die
+ newins redcore-dracut.conf redcore-dracut.conf.example || die
+}
+
+pkg_preinst() {
+ if [[ -f ""${ROOT}"etc/dracut.conf.d/redcore-dracut.conf" ]]; then
+ rm -rf ""${ROOT}"etc/dracut.conf.d/redcore-dracut.conf"
+ fi
+}
+
+pkg_postinst() {
+ cp -avx ""${ROOT}"etc/dracut.conf.d/redcore-dracut.conf.example" ""${ROOT}"etc/dracut.conf.d/redcore-dracut.conf"
+}
diff --git a/sys-kernel/dracutcfg/files/redcore-dracut.conf b/sys-kernel/dracutcfg/files/redcore-dracut.conf
new file mode 100644
index 00000000..279e9bed
--- /dev/null
+++ b/sys-kernel/dracutcfg/files/redcore-dracut.conf
@@ -0,0 +1,14 @@
+# Host-Only mode: Install only what is needed for booting the local host instead of a generic host and generate host-specific configuration.
+hostonly="no"
+
+# Combine early microcode with ramdisk. Uncomment the line bellow, and run "dracut -f" if you want early microcode update.
+# early_microcode="yes"
+
+# Dracut modules to add when building the iniframfs
+add_dracutmodules+=" drm plymouth "
+
+# Dracut modules to ommit when building the initramfs.
+omit_dracutmodules+=" systemd systemd-initrd systemd-networkd dracut-systemd "
+
+# Make sure we have vboxvideo && qxl inside the initramfs (Virtualbox/Qemu)
+add_drivers+=" vboxvideo qxl "